VDODUMPBLOCKMAP(8)

NAME
vdodumpblockmap - dump the LBA->PBA mappings of a VDO device

SYNOPSIS
vdodumpblockmap [--lba=lba] filename

DESCRIPTION
vdodumpblockmap dumps all (or only the specified) LBA->PBA mappings from a cleanly shut down VDO device.

filename must be the path of the VDODataLV as described in lvmvdo(7).

OPTIONS

--help
    Print this help message and exit.

--lba
    Dump only the mapping for the specified LBA.

--version
    Show the version of vdodumpblockmap.

EXAMPLE
# lvchange -ay vdo1/vdo0pool_vdata
# vdodumpblockmap /dev/mapper/vdo1-vdo0pool_vdata
# lvchange -an vdo1/vdo0pool_vdata

SEE ALSO
lvmvdo(7), lvchange(8)